Live LLM Mentions Multi-Target Metrics

‌‌
Live LLM Mentions Multi-Target Metrics endpoint provides aggregated metrics grouped by custom keys for mentions of the keywords or domains specified in the target array of the request. Each item in the results array corresponds to the specified target. The results are specific to the selected platform (google for Google’s AI Overview or chat_gpt for ChatGPT), location and language parameters (see the List of Locations & Languages).

checked POST
Pricing

The cost of the task can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live LLM Mentions API call can contain only one task.

Execution time for tasks set with the Live LLM Mentions endpoint is currently up to 120 seconds.

Below you will find a detailed description of the fields you can use for setting a task.

Field nameTypeDescription
targetsarray

array of objects containing target entities with aggregation keys
required field
you can specify up to 10, but not less than 2 target sets of parameters, each with its key;

example of a targets array with multiple entities:
[{"key":"bmw","target":[{"domain":"en.wikipedia.org","search_filter":"exclude"},{"keyword":"m5","match_type":"partial_match","search_scope":["answer"]}]},{"key":"mercedes","target":[{"domain":"www.mercedes-benz.com","search_filter":"exclude"},{"keyword":"GLC","match_type":"word_match"}]}]
Note: requests must include at least one domain_entity or keyword_entity with "search_filter": "include"

    keystring

key for grouping the results
required field
groups results for comparison and serves as a label for the group;
you can specify up to 250 characters in the key field

    targetarray

array of objects containing target entities
required field
a single target can contain up to 10 domain and/or keyword entities

    domain_entityobject

domain entity in the target array
example:
{"domain": "en.wikipedia.org", "search_filter": "exclude", "search_scope": ["sources"]}

        domainstring

target domain
required field if you don't specify a keyword
you can specify up to 63 characters in the domain field;
a domain should be specified without https:// and www.

        search_filterstring

target domain search filter
optional field
possible values:
include, exclude
default value: include

        search_scopearray

target domain search scope
optional field
possible values:
any, sources, search_results
default value: any

        include_subdomainsboolean

indicates if the subdomains of the target domain will be included in the search
optional field
if set to true, the subdomains will be included in the search
default value: false

    keyword_entityobject

keyword entity in the target array
example:
{"keyword": "bmw", "search_filter": "include", "search_scope": ["question"], "match_type ": "partial_match"}

        keywordstring

target keyword
required field if you don't specify a domain
you can specify up to 250 characters in the keyword field
all %## will be decoded (plus character ‘+’ will be decoded to a space character)
if you need to use the “%” character for your keyword, please specify it as “%25”;
if you need to use the “+” character for your keyword, please specify it as “%2B”

learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

        search_filterstring

target keyword search filter
optional field
possible values:
include, exclude
default value: include

        search_scopearray

target keyword search scope
optional field
possible values:
any, question, answer, brand_entities, fan_out_queries
default value: any

        match_typestring

target keyword match type
defines how the specified keyword is matched
optional field
possible values:
word_match - full-text search for terms that match the specified seed keyword with additional words included before, after, or within the key phrase (e.g., search for "light" will return results with "light bulb", "light switch");
partial_match - substring search that finds all instances containing the specified sequence of characters, even if it appears inside a longer word (e.g., search for "light" will return results with "lighting", "highlight");
default value: word_match

location_namestring

full name of search location
optional field
if you use this field, you don't need to specify location_code
if you don't specify this field, the location_code with 2840 value will be used by default;
you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
Note: chat_gpt data is available for United States only

location_codeinteger

search location code
optional field
if you use this field, you don't need to specify location_name
you can receive the list of available locations of the search engine with their location_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
default value: 2840
Note: chat_gpt data is available for 2840 only

language_namestring

full name of search language
optional field
if you use this field, you don't need to specify language_code;
if you don't specify this field, the language_code with en value will be used by default;
you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
Note: chat_gpt data is available for English only

language_codestring

search language code
optional field
if you use this field, you don't need to specify language_name;
you can receive the list of available languages of the search engine with their language_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages
default value: en
Note: chat_gpt data is available for en only

platformstring

target platform
optional field
possible values:
chat_gpt, google
default value: google
Note: if the platform is not specified, the data is returned for both platforms
Note #2:chat_gpt data is available for the United States and English only

filtersarray

array of results filtering parameters
optional field
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:
=, <>, in, not_in, like, not_like, ilike, not_ilike, match, not_match
you can use the % operator with like and not_like to match any string of zero or more characters
example:
["ai_search_volume",">",1000]

The full list of possible filters is available here.

initial_dataset_filtersarray

array of filter expressions applied before aggregation
optional field
you can use this array to filter expressions applied to the raw mentions database before aggregation to limit the rows contributing to the result;

you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:
=, <>, in, not_in, like, not_like, ilike, not_ilike, match, not_match
you can use the % operator with like and not_like to match any string of zero or more characters
example:
["ai_search_volume",">",1000]

the full list of possible filters is available here.
learn more about the initial dataset filters in this help center article.

order_byarray

results sorting rules
optional field
you can use the same values as in the filters array to sort the results
possible sorting types:
asc - results will be sorted in the ascending order
desc - results will be sorted in the descending order
you should use a comma to set up a sorting type
example:
["ai_search_volume,desc"]
Note: you can set no more than three sorting rules in a single request
you should use a comma to separate several sorting rules

limitinteger

the maximum number of returned objects
optional field

default value: 100
maximum value: 1000

offsetinteger

offset in the results array of the returned mentions data
optional field

default value: 0
example: if you specify the 10 value, the first ten mentions objects in the results array will be omitted and the data will be provided for the successive objects;
Note: the maximum value is 1000000, use the search_after_token if you would like to offset more results

internal_list_limitinteger

maximum number of elements within internal arrays
optional field
you can use this field to limit the number of elements within the following arrays:
sources_domain
search_results_domain
minimum value: 1
maximum value: 10
default value: 5

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        total_countinteger

total number of results

        offsetinteger

offset in the results array of the returned mentions data
offset specified in the request

        items_countinteger

number of items in the results array

        aggregated_metricsobject

aggregated mentions metrics summary
contains overall aggregated LLM mention metrics across all LLM mentions that match at least one target specified in the request

            locationarray

location-based grouping
array of objects containing mention metrics segmented by geographical location

                keyinteger

grouping key
the specific identifier for the group dimension

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific grouping key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            languagearray

language-based grouping
array of objects containing mention metrics segmented by content language

                keystring

aggregation key
the specific identifier for the grouping dimension

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific aggregation key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            platformarray

platform-based grouping
array of group elements containing mention metrics segmented by AI platform

                keystring

aggregation key
the specific identifier for the grouping dimension

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific aggregation key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            sources_domainarray

found top source domains relevant to the target
array of objects containing data on top domains that are cited as sources in LLM responses
learn more about the sources and how to retrieve LLM citation data at our Help Center

                keystring

aggregation key
the specific identifier for the grouping dimension
in this case the field displays a found domain name

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            search_results_domainarray

found top search results domains relevant to the target
array of objects containing data on top domains that appear in search results related to LLM queries

                keystring

aggregation key
the specific identifier for the grouping dimension
in this case the field displays a found domain name

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            brand_entities_titlearray

data on brand entities relevant to the target
array of objects containing data on brand entity titles that appear in search results related to LLM queries

                keystring

aggregation key
the specific identifier for the grouping dimension
in this case the field displays a found brand entity title

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific brand

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            brand_entities_categoryarray

data on brand entities relevant to the target
array of objects containing data on brand entity categories that appear in search results related to LLM queries

                keystring

aggregation key
the specific identifier for the grouping dimension
in this case the field displays a found brand entity category

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific brand

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            totalobject

data on total mentions and search volume for the target

        itemsarray

contains relevant mentions data

            keystring

aggregation key received in a POST array

            locationarray

location-based aggregation
array of objects containing mention metrics segmented by geographical location

                keystring

aggregation key
location code

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific aggregation key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            languagearray

language-based grouping
array of objects containing mention metrics segmented by content language

                keystring

aggregation key
language code

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific aggregation key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            platformarray

platform-based grouping
array of group elements containing mention metrics segmented by AI platform

                keystring

aggregation key
platform name
possible values: chat_gpt, google

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to this specific aggregation key

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            sources_domainarray

found top source domains relevant to the target
array of objects containing data on top domains that are cited as sources in LLM responses
learn more about the sources and how to retrieve LLM citation data at our Help Center

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found domain name

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            search_results_domainarray

found top search results domains relevant to the target
array of objects containing data on top domains that appear in search results related to LLM queries

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found domain name

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            brand_entities_titlearray

data on brand entities relevant to the target
array of objects containing data on brand entity titles that appear in search results related to LLM queries

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found brand entity title

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            brand_entities_categoryarray

data on brand entities relevant to the target
array of objects containing data on brand entity categories that appear in search results related to LLM queries

                keystring

grouping identifier
the specific identifier for the grouping dimension
in this case the field displays a found brand entity category

                mentionsinteger

total LLM mentions count
the number of times the target keyword or domain were mentioned in relation to the specific domain

                ai_search_volumeinteger

current AI search volume rate of a keyword
learn more about this metric here

            totalobject

data on total mentions and AI search volume rate across all items
array of objects containing data on search results related to LLM queries


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/ai_optimization/llm_mentions/multi_target_metrics/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_code": 2840,
        "platform": "google",
        "targets": [
            {
                "key": "chat_gpt",
                "target": [
                    {
                        "keyword": "chat gpt"
                    }
                ]
            },
            {
                "key": "claude",
                "target": [
                    {
                        "keyword": "claude"
                    }
                ]
            },
            {
                "key": "gemini",
                "target": [
                    {
                        "keyword": "gemini"
                    }
                ]
            },
            {
                "key": "perplexity",
                "target": [
                    {
                        "keyword": "perplexity",
                        "search_filter": "include"
                    }
                ]
            }
        ],
        "initial_dataset_filters": [
            [
                "ai_search_volume",
                ">",
                10
            ]
        ],
        "internal_list_limit": 5
    }
]'
<?php

/**
 * Method: POST
 * Endpoint: https://api.dataforseo.com/v3/ai_optimization/llm_mentions/multi_target_metrics/live
 * @see https://docs.dataforseo.com/v3/ai_optimization/llm_mentions/multi_target_metrics/live
 */

require_once __DIR__ . '/../../../../../lib/RestClient.php';
$config = require __DIR__ . '/../../../../../lib/config.php';

$client = new RestClient($config['base_url'], null, $config['login'], $config['password']);

$data = [
    [
        'language_code' => 'en',
        'location_code' => 2840,
        'platform' => 'google',
        'targets' => [
            [
                'key' => 'chat_gpt',
                'target' => [
                    [
                        'keyword' => 'chat gpt',
                    ],
                ],
            ],
            [
                'key' => 'claude',
                'target' => [
                    [
                        'keyword' => 'claude',
                    ],
                ],
            ],
            [
                'key' => 'gemini',
                'target' => [
                    [
                        'keyword' => 'gemini',
                    ],
                ],
            ],
            [
                'key' => 'perplexity',
                'target' => [
                    [
                        'keyword' => 'perplexity',
                        'search_filter' => 'include',
                    ],
                ],
            ],
        ],
        'initial_dataset_filters' => [
            [
                'ai_search_volume',
                '>',
                10,
            ],
        ],
        'internal_list_limit' => 5,
    ],
];
try {
    $result = $client->post('/v3/ai_optimization/llm_mentions/multi_target_metrics/live', $data);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    printf(
        "HTTP code: %dnError code: %dnMessage: %snTrace: %sn",
        $e->getHttpCode(),
        $e->getCode(),
        $e->getMessage(),
        $e->getTraceAsString()
    );
}
?>
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/ai_optimization/llm_mentions/multi_target_metrics/live',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [    {
      "language_code": "en",
      "location_code": 2840,
      "platform": "google",
      "targets": [
        {
          "key": "chat_gpt",
          "target": [
            {
              "keyword": "chat gpt"
            }
          ]
        },
        {
          "key": "claude",
          "target": [
            {
              "keyword": "claude"
            }
          ]
        },
        {
          "key": "gemini",
          "target": [
            {
              "keyword": "gemini"
            }
          ]
        },
        {
          "key": "perplexity",
          "target": [
            {
              "keyword": "perplexity",
              "search_filter": "include"
            }
          ]
        }
      ],
      "initial_dataset_filters": [
        [
          "ai_search_volume",
          ">",
          10
        ]
      ],
      "internal_list_limit": 5
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
"""
Method: POST
Endpoint: https://api.dataforseo.com/v3/ai_optimization/llm_mentions/multi_target_metrics/live
@see https://docs.dataforseo.com/v3/ai_optimization/llm_mentions/multi_target_metrics/live
"""

import sys
import os
sys.path.append(os.path.abspath(os.path.join(os.path.dirname(__file__), '../../../../../')))
from lib.client import RestClient
from lib.config import username, password
client = RestClient(username, password)

post_data = []
post_data.append({
        'language_code': 'en',
        'location_code': 2840,
        'platform': 'google',
        'targets': [
            {
                'key': 'chat_gpt',
                'target': [
                    {
                        'keyword': 'chat gpt'
                    }
                ]
            },
            {
                'key': 'claude',
                'target': [
                    {
                        'keyword': 'claude'
                    }
                ]
            },
            {
                'key': 'gemini',
                'target': [
                    {
                        'keyword': 'gemini'
                    }
                ]
            },
            {
                'key': 'perplexity',
                'target': [
                    {
                        'keyword': 'perplexity',
                        'search_filter': 'include'
                    }
                ]
            }
        ],
        'initial_dataset_filters': [
            [
                'ai_search_volume',
                '>',
                10
            ]
        ],
        'internal_list_limit': 5
    })
try:
    response = client.post('/v3/ai_optimization/llm_mentions/multi_target_metrics/live', post_data)
    print(response)
    # do something with post result
except Exception as e:
    print(f'An error occurred: {e}')
/// <summary>
    /// Method: POST
    /// Endpoint: https://api.dataforseo.com/v3/ai_optimization/llm_mentions/multi_target_metrics/live
    /// </summary>
    /// <see href="https://docs.dataforseo.com/v3/ai_optimization/llm_mentions/multi_target_metrics/live"/>
    
    public static async Task LlmMentionsCrossAggregatedMetricsLive()
    {
        var postData = new List<object>();
        // a simple way to set a task, the full list of possible parameters is available in documentation
        postData.Add(new
        {
            language_code = "en",
            location_code = 2840,
            platform = "google",
            targets = new object[]
            {
                new
                {
                    key = "chat_gpt",
                    target = new object[]
                    {
                        new
                        {
                            keyword = "chat gpt"
                        }
                    }
                },
                new
                {
                    key = "claude",
                    target = new object[]
                    {
                        new
                        {
                            keyword = "claude"
                        }
                    }
                },
                new
                {
                    key = "gemini",
                    target = new object[]
                    {
                        new
                        {
                            keyword = "gemini"
                        }
                    }
                },
                new
                {
                    key = "perplexity",
                    target = new object[]
                    {
                        new
                        {
                            keyword = "perplexity",
                            search_filter = "include"
                        }
                    }
                }
            },
            initial_dataset_filters = new object[]
            {
                new object[]
                {
                    "ai_search_volume",
                    ">",
                    10
                }
            },
            internal_list_limit = 5
        });

        var content = new StringContent(JsonConvert.SerializeObject(postData), Encoding.UTF8, "application/json");
        using var response = await _httpClient.PostAsync("/v3/ai_optimization/llm_mentions/multi_target_metrics/live", content);
        var result = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
        if (result.status_code == 20000)
        {
            // do something with result
            Console.WriteLine(result);
        }
        else
            Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
    }

The above command returns JSON structured like this:

{
  "version": "0.1.20260610",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "1.5781 sec.",
  "cost": 0.101,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "06111607-1535-0652-0000-ba6451ca5f68",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "1.5144 sec.",
      "cost": 0.101,
      "result_count": 1,
      "path": [
        "v3",
        "ai_optimization",
        "llm_mentions",
        "multi_target_metrics",
        "live"
      ],
      "data": {
        "api": "ai_optimization",
        "function": "multi_target_metrics",
        "targets": [
          {
            "key": "bmw",
            "target": [
              {
                "keyword": "bmw",
                "search_scope": [
                  "answer"
                ],
                "search_filter": "include"
              }
            ]
          },
          {
            "key": "audi",
            "target": [
              {
                "keyword": "audi",
                "search_scope": [
                  "answer"
                ],
                "search_filter": "include"
              }
            ]
          }
        ],
        "platform": "chat_gpt",
        "language_code": "en",
        "location_code": 2840,
        "order_by": [
          "total.mentions,desc"
        ],
        "limit": 5,
        "offset": 0,
        "internal_list_limit": 5
      },
      "result": [
        {
          "total_count": 2,
          "offset": 0,
          "items_count": 2,
          "aggregated_metrics": {
            "location": [
              {
                "key": 2840,
                "mentions": 66067,
                "ai_search_volume": 1688821
              }
            ],
            "language": [
              {
                "key": "en",
                "mentions": 66067,
                "ai_search_volume": 1688821
              }
            ],
            "platform": [
              {
                "key": "chat_gpt",
                "mentions": 66067,
                "ai_search_volume": 1688821
              }
            ],
            "sources_domain": [
              {
                "key": "www.reddit.com",
                "mentions": 7956,
                "ai_search_volume": 302076
              },
              {
                "key": "en.wikipedia.org",
                "mentions": 4617,
                "ai_search_volume": 110516
              },
              {
                "key": "www.kbb.com",
                "mentions": 3898,
                "ai_search_volume": 65131
              },
              {
                "key": "www.edmunds.com",
                "mentions": 3623,
                "ai_search_volume": 69262
              },
              {
                "key": "www.caranddriver.com",
                "mentions": 2627,
                "ai_search_volume": 77792
              }
            ],
            "search_results_domain": [
              {
                "key": "www.kbb.com",
                "mentions": 5924,
                "ai_search_volume": 139210
              },
              {
                "key": "www.edmunds.com",
                "mentions": 6214,
                "ai_search_volume": 141406
              },
              {
                "key": "www.caranddriver.com",
                "mentions": 4733,
                "ai_search_volume": 123817
              },
              {
                "key": "www.motortrend.com",
                "mentions": 4506,
                "ai_search_volume": 123404
              },
              {
                "key": "www.consumerreports.org",
                "mentions": 2938,
                "ai_search_volume": 91818
              }
            ],
            "brand_entities_title": [
              {
                "key": "BMW",
                "mentions": 972,
                "ai_search_volume": 15692
              },
              {
                "key": "Audi",
                "mentions": 486,
                "ai_search_volume": 5994
              },
              {
                "key": "German automaker",
                "mentions": 466,
                "ai_search_volume": 27079
              },
              {
                "key": "German luxury automaker",
                "mentions": 262,
                "ai_search_volume": 15537
              },
              {
                "key": "2026 model",
                "mentions": 169,
                "ai_search_volume": 6725
              }
            ],
            "brand_entities_category": [
              {
                "key": "vehicle",
                "mentions": 10218,
                "ai_search_volume": 459853
              },
              {
                "key": "company",
                "mentions": 2777,
                "ai_search_volume": 161033
              },
              {
                "key": "brand",
                "mentions": 2030,
                "ai_search_volume": 61355
              },
              {
                "key": "car",
                "mentions": 2213,
                "ai_search_volume": 14044
              },
              {
                "key": "product",
                "mentions": 866,
                "ai_search_volume": 25644
              }
            ],
            "total": {
              "mentions": 66067,
              "ai_search_volume": 1688821
            }
          },
          "items": [
            {
              "key": "bmw",
              "location": [
                {
                  "key": 2840,
                  "mentions": 52865,
                  "ai_search_volume": 1379278
                }
              ],
              "language": [
                {
                  "key": "en",
                  "mentions": 52865,
                  "ai_search_volume": 1379278
                }
              ],
              "platform": [
                {
                  "key": "chat_gpt",
                  "mentions": 52865,
                  "ai_search_volume": 1379278
                }
              ],
              "sources_domain": [
                {
                  "key": "www.reddit.com",
                  "mentions": 6472,
                  "ai_search_volume": 254492
                },
                {
                  "key": "en.wikipedia.org",
                  "mentions": 3688,
                  "ai_search_volume": 91540
                },
                {
                  "key": "www.kbb.com",
                  "mentions": 2947,
                  "ai_search_volume": 49887
                },
                {
                  "key": "www.edmunds.com",
                  "mentions": 2754,
                  "ai_search_volume": 56695
                },
                {
                  "key": "www.caranddriver.com",
                  "mentions": 2070,
                  "ai_search_volume": 64520
                }
              ],
              "search_results_domain": [
                {
                  "key": "www.kbb.com",
                  "mentions": 4605,
                  "ai_search_volume": 115323
                },
                {
                  "key": "www.edmunds.com",
                  "mentions": 4882,
                  "ai_search_volume": 117569
                },
                {
                  "key": "www.caranddriver.com",
                  "mentions": 3765,
                  "ai_search_volume": 102766
                },
                {
                  "key": "www.motortrend.com",
                  "mentions": 3570,
                  "ai_search_volume": 101148
                },
                {
                  "key": "www.consumerreports.org",
                  "mentions": 2328,
                  "ai_search_volume": 76270
                }
              ],
              "brand_entities_title": [
                {
                  "key": "BMW",
                  "mentions": 971,
                  "ai_search_volume": 15686
                },
                {
                  "key": "Audi",
                  "mentions": 176,
                  "ai_search_volume": 2537
                },
                {
                  "key": "German automaker",
                  "mentions": 389,
                  "ai_search_volume": 25198
                },
                {
                  "key": "German luxury automaker",
                  "mentions": 242,
                  "ai_search_volume": 14984
                },
                {
                  "key": "2026 model",
                  "mentions": 136,
                  "ai_search_volume": 5642
                }
              ],
              "brand_entities_category": [
                {
                  "key": "vehicle",
                  "mentions": 8298,
                  "ai_search_volume": 379068
                },
                {
                  "key": "company",
                  "mentions": 2283,
                  "ai_search_volume": 142762
                },
                {
                  "key": "brand",
                  "mentions": 1669,
                  "ai_search_volume": 57176
                },
                {
                  "key": "car",
                  "mentions": 1571,
                  "ai_search_volume": 10577
                },
                {
                  "key": "product",
                  "mentions": 740,
                  "ai_search_volume": 23131
                }
              ],
              "total": {
                "mentions": 52865,
                "ai_search_volume": 1379278
              }
            },
            {
              "key": "audi",
              "location": [
                {
                  "key": 2840,
                  "mentions": 27157,
                  "ai_search_volume": 649072
                }
              ],
              "language": [
                {
                  "key": "en",
                  "mentions": 27157,
                  "ai_search_volume": 649072
                }
              ],
              "platform": [
                {
                  "key": "chat_gpt",
                  "mentions": 27157,
                  "ai_search_volume": 649072
                }
              ],
              "sources_domain": [
                {
                  "key": "www.reddit.com",
                  "mentions": 3088,
                  "ai_search_volume": 102739
                },
                {
                  "key": "en.wikipedia.org",
                  "mentions": 1711,
                  "ai_search_volume": 38009
                },
                {
                  "key": "www.kbb.com",
                  "mentions": 1778,
                  "ai_search_volume": 29890
                },
                {
                  "key": "www.edmunds.com",
                  "mentions": 1744,
                  "ai_search_volume": 30309
                },
                {
                  "key": "www.caranddriver.com",
                  "mentions": 1277,
                  "ai_search_volume": 35190
                }
              ],
              "search_results_domain": [
                {
                  "key": "www.kbb.com",
                  "mentions": 2611,
                  "ai_search_volume": 53238
                },
                {
                  "key": "www.edmunds.com",
                  "mentions": 2755,
                  "ai_search_volume": 55694
                },
                {
                  "key": "www.caranddriver.com",
                  "mentions": 2073,
                  "ai_search_volume": 48030
                },
                {
                  "key": "www.motortrend.com",
                  "mentions": 1994,
                  "ai_search_volume": 53460
                },
                {
                  "key": "www.consumerreports.org",
                  "mentions": 1440,
                  "ai_search_volume": 40203
                }
              ],
              "brand_entities_title": [
                {
                  "key": "BMW",
                  "mentions": 180,
                  "ai_search_volume": 2353
                },
                {
                  "key": "Audi",
                  "mentions": 486,
                  "ai_search_volume": 5994
                },
                {
                  "key": "German automaker",
                  "mentions": 241,
                  "ai_search_volume": 9137
                },
                {
                  "key": "German luxury automaker",
                  "mentions": 162,
                  "ai_search_volume": 9929
                },
                {
                  "key": "2026 model",
                  "mentions": 63,
                  "ai_search_volume": 2786
                }
              ],
              "brand_entities_category": [
                {
                  "key": "vehicle",
                  "mentions": 4121,
                  "ai_search_volume": 162058
                },
                {
                  "key": "company",
                  "mentions": 1168,
                  "ai_search_volume": 50345
                },
                {
                  "key": "brand",
                  "mentions": 834,
                  "ai_search_volume": 29520
                },
                {
                  "key": "car",
                  "mentions": 838,
                  "ai_search_volume": 5423
                },
                {
                  "key": "product",
                  "mentions": 326,
                  "ai_search_volume": 8649
                }
              ],
              "total": {
                "mentions": 27157,
                "ai_search_volume": 649072
              }
            }
          ]
        }
      ]
    }
  ]
}